# Interface FunctionMapper

@Deprecated public interface FunctionMapper
Deprecated.
As of JSP 2.1, replaced by jakarta.el.FunctionMapper

The interface to a map between EL function names and methods.

Classes implementing this interface may, for instance, consult tag library information to resolve the map.

Since:
  JSP 2.0

## Method Summary

Modifier and Type
Method
Description
`Method`
`resolveFunction(String prefix, String localName)`
Deprecated.
Resolves the specified local name and prefix into a Java.lang.Method.

## Method Details

### resolveFunction

Method resolveFunction(String prefix, String localName)
Deprecated.
Resolves the specified local name and prefix into a Java.lang.Method. Returns null if the prefix and local name are not found.

Parameters:
  `prefix` - the prefix of the function, or "" if no prefix.
  `localName` - the short name of the function
Returns:
  the result of the method mapping. Null means no entry found.